Page 1 of 3 123 LastLast
Results 1 to 10 of 30

Thread: kbd

  1. #1
    Join Date
    Dec 2013
    Location
    Near México City
    Posts
    175

    Default kbd

    Hello
    Update package manager keeps trying to install update for the package kbd, for several months now, but every time gives me this:
    Code:
    Subprocess failed. Error: RPM fallido: error: package kbd-1.15.5-9.2.x86_64 is not installed
    even though it is installed. Can you help me fix this? Thanks

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,983

    Default Re: kbd

    Try YaST > Software > Online Updates to see the native openSUSE software manager does better then PackageKit.
    Henk van Velden

  3. #3
    Join Date
    Dec 2013
    Location
    Near México City
    Posts
    175

    Default Re: kbd

    Hi again
    Thank you very much for your reply!
    Quote Originally Posted by hcvv View Post
    Try YaST > Software > Online Updates to see the native openSUSE software manager does better then PackageKit.
    I did it but gave me the very same response. In Yast I see this: https://drive.google.com/open?id=0Bz...FZRazZ2RWs3UmM
    Is there something I can do?
    Thank you

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,983

    Default Re: kbd

    That silly picture shows that many versions are installed at the same time???

    Please show us your list of repostories:
    Code:
    LANG=C zypper lr -d
    Henk van Velden

  5. #5
    Join Date
    Dec 2013
    Location
    Near México City
    Posts
    175

    Wink Re: kbd

    Hi again
    Quote Originally Posted by hcvv View Post

    Please show us your list of repostories:
    Code:
    LANG=C zypper lr -d
    This is the output:
    Code:
    LANG=c zypper lr -d
    #  | Alias                               | Name                                                     | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                              | Service
    ---+-------------------------------------+----------------------------------------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------------------------------+--------
     1 | X11_MATE_Current                    | The latest official release of MATE (openSUSE_Leap_42.1) | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/MATE:/Current/openSUSE_Leap_42.1/ |
     2 | download.opensuse.org-non-oss       | Repositorio principal (NON-OSS)                          | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/                |
     3 | download.opensuse.org-non-oss_1     | Repositorio de actualizaciones (No OpenSource)           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/                           |
     4 | download.opensuse.org-oss           | Repositorio principal (OSS)                              | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                    |
     5 | download.opensuse.org-oss_1         | Repositorio Principal de Actualizaciones                 | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss                                |
     6 | ftp.gwdg.de-suse                    | Packman Repository                                       | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_Leap_42.1/                    |
     7 | http-download.opensuse.org-13a86b22 | X11:wxWidgets                                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/wxWidgets/openSUSE_Leap_42.1/     |
     8 | http-download.opensuse.org-795a8ca2 | X11:wxWidgets                                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/X11:/wxWidgets/openSUSE_Leap_42.1/     |
     9 | repo-debug                          | openSUSE-Leap-42.1-Debug                                 | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.1/repo/oss/              |
    10 | repo-debug-non-oss                  | openSUSE-Leap-42.1-Debug-Non-Oss                         | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/leap/42.1/repo/non-oss/          |
    11 | repo-debug-update                   | openSUSE-Leap-42.1-Update-Debug                          | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1/oss                          |
    12 | repo-debug-update-non-oss           | openSUSE-Leap-42.1-Update-Debug-Non-Oss                  | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/update/leap/42.1/non-oss/                     |
    13 | repo-source                         | openSUSE-Leap-42.1-Source                                | No      | ----      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/leap/42.1/repo/oss/             |
    14 | repo-update                         | openSUSE-Leap-42.1-Update                                | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/
    Thanks!

  6. #6
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,983

    Default Re: kbd

    You repo list looks OK to me.

    Now let us check about kbd, because that picture you showed does not schow everything because there is something to scroll there. As root:
    Code:
    LANG=C zypper se -s --match-exact kbd
    Henk van Velden

  7. #7
    Join Date
    Dec 2013
    Location
    Near México City
    Posts
    175

    Default Re: kbd

    Hello
    Quote Originally Posted by hcvv View Post
    As root:
    Code:
    LANG=C zypper se -s --match-exact kbd
    This is the output:
    Code:
    S | Name | Type       | Version     | Arch   | Repository
    --+------+------------+-------------+--------+-----------------------------------------
    i | kbd  | package    | 2.0.3-1.4   | x86_64 | (System Packages)
    i | kbd  | package    | 1.15.5-15.1 | x86_64 | Repositorio Principal de Actualizaciones
    i | kbd  | package    | 1.15.5-15.1 | x86_64 | openSUSE-Leap-42.1-Update
    v | kbd  | package    | 1.15.5-12.1 | x86_64 | Repositorio Principal de Actualizaciones
    v | kbd  | package    | 1.15.5-12.1 | x86_64 | openSUSE-Leap-42.1-Update
    i | kbd  | package    | 1.15.5-9.2  | x86_64 | Repositorio Principal de Actualizaciones
    i | kbd  | package    | 1.15.5-9.2  | x86_64 | openSUSE-Leap-42.1-Update
    v | kbd  | package    | 1.15.5-6.1  | x86_64 | Repositorio principal (OSS)
      | kbd  | srcpackage | 1.15.5-15.1 | noarch | Repositorio Principal de Actualizaciones
      | kbd  | srcpackage | 1.15.5-15.1 | noarch | openSUSE-Leap-42.1-Update
      | kbd  | srcpackage | 1.15.5-12.1 | noarch | Repositorio Principal de Actualizaciones
      | kbd  | srcpackage | 1.15.5-12.1 | noarch | openSUSE-Leap-42.1-Update
      | kbd  | srcpackage | 1.15.5-9.2  | noarch | Repositorio Principal de Actualizaciones
      | kbd  | srcpackage | 1.15.5-9.2  | noarch | openSUSE-Leap-42.1-Update
    Thanks

  8. #8
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,983

    Default Re: kbd

    Very strange. It is installed several times. That should not be possible.

    In any case it points me to the fact that there are two the same repos in your list. #5 and #14!

    Better remove #14 and then repeat the last step to see what is left of that list.

    I am not using Leap 42.1. Can anybody else please jump in and tell what (s)he has installed as kbd version?

    (btw, you can stop showing those smileys, they don't help).
    Henk van Velden

  9. #9

    Default Re: kbd

    Quote Originally Posted by hcvv View Post
    Very strange. It is installed several times. That should not be possible.
    It is if you run "rpm -i" manually with different package versions.

    Or the rpm database got corrupted somehow.

    In any case it points me to the fact that there are two the same repos in your list. #5 and #14!
    Yes, that explains why the same versions are shown as installed twice.
    That's only cosmetical though.

    Better remove #14 and then repeat the last step to see what is left of that list.
    I concur, having the same repo twice gains you nothing and just uses more disk space and time (when the repos are refreshed).

    I am not using Leap 42.1. Can anybody else please jump in and tell what (s)he has installed as kbd version?
    That's not at all specific to Leap 42.1 I suppose (though according to the zypper output, the latest version in 42.1 should be 1.15.5-15.1), and it is impossible to tell what's *really* installed (i.e. as files on the hard disk).

    I would suggest to "force remove" all installed kbd packages, and then freshly install the newest available one.
    Code:
    sudo rpm -e --nodeps kbd
    sudo zypper in kbd
    If there's an error message, please post it.
    And if not, please post the output of "LANG=C zypper se -s --match-exact kbd" again to see if it helped.

  10. #10
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,983

    Default Re: kbd

    I concur with you, but I was a bit afraid that removing all kbd packages before installing the new (and only) one, the OP could get stuck in using his keyboard.

    And with "impossible" i did not mean 'physical impossible: (because it is what we see), but that it should not happen. More or less a sign to the OP, that even even it is repaired, he must realize that somewhere something went wrong. And it is better to understand what to avoid it in the future.
    Henk van Velden

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •